Skip to main content
POST
/
v1
/
authorization
/
permissions
Create Rbac Permission
curl --request POST \
  --url https://app.untetherlabs.com/api/v1/authorization/permissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "create",
  "subject": "AutoSchedulerJob",
  "conditions": "<unknown>",
  "inverted": true,
  "errorMessage": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "action": "create",
  "subject": "AutoSchedulerJob",
  "inverted": true,
  "errorMessage": "<string>",
  "createdAt": "2024-11-20T07:43:34+0000",
  "conditions": "<unknown>"
}
This is a beta endpoint. Breaking changes may occur without notice, use at your own risk.
Create a new RBAC permission

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
action
enum<string>
required
Available options:
create,
view,
edit,
approve,
sign_off,
manage
subject
enum<string>
required
Available options:
AutoSchedulerJob,
BalanceReset,
DemandForecast,
Provider,
Report,
Shift,
Team,
Timecard,
TimeOffRequest,
TimeOffPolicy,
Timesheet
conditions
any
inverted
boolean
errorMessage
string

Response

id
string<uuid>
required
action
enum<string>
required
Available options:
create,
view,
edit,
approve,
sign_off,
manage
subject
enum<string>
required
Available options:
AutoSchedulerJob,
BalanceReset,
DemandForecast,
Provider,
Report,
Shift,
Team,
Timecard,
TimeOffRequest,
TimeOffPolicy,
Timesheet
inverted
boolean
required
errorMessage
string | null
required
createdAt
string
required
Example:

"2024-11-20T07:43:34+0000"

conditions
any